Bug 1532 - Port dev_week holds enhancements to 3.0
Summary: Port dev_week holds enhancements to 3.0
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) blocker (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-31 04:35 UTC by Owen Leonard
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Reserves Updates ported from dev_week (31.78 KB, patch)
2009-09-22 13:34 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:31:41 UTC


---- Reported by oleonard@myacpl.org 2007-10-31 04:35:02 ----

Kyle Hall has done a lot of work with the dev_week version of the reserves system, and they look really good. We should test these changes and incorporate them into 3.0.



---- Additional Comments From jmf@liblime.com 2008-01-04 19:32:50 ----

This bug should be fixed before the 3.0 beta.



---- Additional Comments From paul.poulain@biblibre.com 2008-06-05 05:51:48 ----

what's the status of this bug today ?



---- Additional Comments From joe.atzberger@liblime.com 2008-07-07 07:44:31 ----

It's a little late for this feature now, methinks.  Care to re-evaluate the blocker severity?



---- Additional Comments From jmf@liblime.com 2008-07-07 21:28:06 ----

This will require a re-factoring of circulation, which I agree should be done, but won't make it into 3.0. Reassigning the version to 3.2 and keeping the 'blocker' status.



---- Additional Comments From kyle.m.hall@gmail.com 2008-12-05 09:34:02 ----

I've submitted a patch that ports my dev_week reserves updates to Koha 3



---- Additional Comments From kyle.m.hall@gmail.com 2008-12-05 09:36:43 ----

I've submitted a patch that ports my dev_week reserves enhancements to Koha 3.



---- Additional Comments From gmcharlt@gmail.com 2009-09-15 12:57:25 ----

Hi Kyle - there's no sign that the patches were ever received, and I don't find them in the 2008 koha-patches archives.  Could you resend?



---- Additional Comments From kyle.m.hall@gmail.com 2009-09-15 16:36:47 ----

I think I am going to re-do this patch. Enough has changed and there are some issues with the original version that I would like to address.



---- Additional Comments From kyle.m.hall@gmail.com 2009-09-22 13:34:55 ----

Created an attachment
Reserves Updates ported from dev_week





---- Additional Comments From gmcharlt@gmail.com 2010-02-19 03:51:48 ----

Pushed Kyle's patches + followups to HEAD for inclusion in 3.2.  Please test and close.  Note that the 'lock hold' feature was not ported; if this is still desired, please open a separate enhancement bug.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-04-09 09:13:20 ----

Change to C4::Reserves::CancelexpiredReserves to check that expirationdate is not null instead of not '0000-00-00' will remove active holds as they are being created with 0 dates not null. 



---- Additional Comments From gmcharlt@gmail.com 2010-04-30 13:51:44 ----

(In reply to comment #11)
> Change to C4::Reserves::CancelexpiredReserves to check that expirationdate is
> not null instead of not '0000-00-00' will remove active holds as they are being
> created with 0 dates not null. 
> 

Pushed patch to fix this.  Please test.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-05-05 17:55:02 ----

Seems OK now on test system



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:31 UTC  ---

This bug was previously known as _bug_ 1532 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1532
Imported an attachment (id=343)

Actual time not defined. Setting to 0.0
The original submitter of attachment 343 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.